using BPA.SAAS.Manage.Application.System.Dtos;
using BPA.SAAS.Manage.Application.System.Interface;
using Microsoft.AspNetCore.Components.Forms;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Application.System
{
    [ApiDescriptionSettings("SYS", Tag = "获取系统参数")]
    public class SystemConfigServices : ITransient, IDynamicApiController
    {
        ISystemConfigService _SystemConfigService;
        public SystemConfigServices(ISystemConfigService SystemConfigService)
        {
            _SystemConfigService = SystemConfigService;
        }
        [HttpPost("/api/systemconfig/GetCosRequestSignURL"), ApiDescriptionSettings(SplitCamelCase = false), AllowAnonymous, NonUnify]
        public FileOutInfoDto GetCosRequestSignURL(FileInputInfoDto inputDto)
        {
            return _SystemConfigService.GetCosRequestSignURL(inputDto);
        }
        [HttpPost("/api/systemconfig/GetCosFileURL"), ApiDescriptionSettings(SplitCamelCase = false), AllowAnonymous, NonUnify]
        public async Task<string> GetCosImgesURL(IFormFile file)
        {
            return await _SystemConfigService.GetCosImgesURL(file);
        }
    }
}
